Skip to main content
GET
/
v2
/
offer
curl -X GET \
  'https://api.appcharge.com/v2/offer?publisherOfferIds=store-refresh-offer-1' \
  -H 'Content-Type: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "totalCount": 1,
  "offers": [
    {
      "publisherId": "35nb7861ec9924a6b69a0fe59",
      "publisherOfferId": "store-refresh-offer",
      "name": "Store Refresh Offer",
      "displayName": "Limited time deal",
      "description": "Shown periodically when the store refreshes",
      "type": "PopUp",
      "subType": "StoreRefresh",
      "active": true,
      "segments": [],
      "offerUi": {
        "offerUiId": "68b41c5aa1c5b1a284737e9b",
        "active": true,
        "offerUiType": "PopUp",
        "name": "Real_Store_Refresh",
        "description": "description",
        "externalId": "Real_Store_Refresh"
      },
      "productsSequence": [
        {
          "index": 1,
          "products": [
            {
              "product": {
                "publisherProductId": "green_diamond",
                "name": "Green Diamond",
                "type": "Quantity",
                "priority": "Main",
                "displayName": "Green Diamond"
              }
            },
            {
              "product": {
                "publisherProductId": "pink_diamond",
                "name": "Pink Diamond",
                "type": "Quantity",
                "priority": "Main",
                "displayName": "Pink Diamond"
              }
            }
          ],
          "priceInUsdCents": 0,
          "playerAvailability": 10
        }
      ],
      "priority": 5,
      "displayRule": {
        "frequency": 3,
        "cooldownInMinutes": 1
      },
      "schedule": {
        "permanent": false,
        "timeFrames": [
          {
            "startTime": "2026-05-02T00:00:00.000Z",
            "endTime": "2026-05-04T23:59:59.000Z",
            "notes": "Initial weekend rollout"
          },
          {
            "startTime": "2026-05-10T00:00:00.000Z",
            "endTime": "2026-05-12T23:59:59.000Z"
          }
        ]
      },
      "productSale": {
        "sale": 30,
        "type": "percentage"
      },
      "priceDiscount": {
        "discount": 25,
        "type": "percentage"
      },
      "badges": [
        {
          "publisherBadgeId": "best_value"
        }
      ],
      "createdAt": "2026-05-01T14:16:09.499Z",
      "updatedAt": "2026-05-01T14:16:09.499Z",
      "offerId": "68b5aaa9b73fceb9ffc26f9b"
    }
  ]
}
curl -X GET \
  'https://api.appcharge.com/v2/offer?publisherOfferIds=store-refresh-offer-1' \
  -H 'Content-Type: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "totalCount": 1,
  "offers": [
    {
      "publisherId": "35nb7861ec9924a6b69a0fe59",
      "publisherOfferId": "store-refresh-offer",
      "name": "Store Refresh Offer",
      "displayName": "Limited time deal",
      "description": "Shown periodically when the store refreshes",
      "type": "PopUp",
      "subType": "StoreRefresh",
      "active": true,
      "segments": [],
      "offerUi": {
        "offerUiId": "68b41c5aa1c5b1a284737e9b",
        "active": true,
        "offerUiType": "PopUp",
        "name": "Real_Store_Refresh",
        "description": "description",
        "externalId": "Real_Store_Refresh"
      },
      "productsSequence": [
        {
          "index": 1,
          "products": [
            {
              "product": {
                "publisherProductId": "green_diamond",
                "name": "Green Diamond",
                "type": "Quantity",
                "priority": "Main",
                "displayName": "Green Diamond"
              }
            },
            {
              "product": {
                "publisherProductId": "pink_diamond",
                "name": "Pink Diamond",
                "type": "Quantity",
                "priority": "Main",
                "displayName": "Pink Diamond"
              }
            }
          ],
          "priceInUsdCents": 0,
          "playerAvailability": 10
        }
      ],
      "priority": 5,
      "displayRule": {
        "frequency": 3,
        "cooldownInMinutes": 1
      },
      "schedule": {
        "permanent": false,
        "timeFrames": [
          {
            "startTime": "2026-05-02T00:00:00.000Z",
            "endTime": "2026-05-04T23:59:59.000Z",
            "notes": "Initial weekend rollout"
          },
          {
            "startTime": "2026-05-10T00:00:00.000Z",
            "endTime": "2026-05-12T23:59:59.000Z"
          }
        ]
      },
      "productSale": {
        "sale": 30,
        "type": "percentage"
      },
      "priceDiscount": {
        "discount": 25,
        "type": "percentage"
      },
      "badges": [
        {
          "publisherBadgeId": "best_value"
        }
      ],
      "createdAt": "2026-05-01T14:16:09.499Z",
      "updatedAt": "2026-05-01T14:16:09.499Z",
      "offerId": "68b5aaa9b73fceb9ffc26f9b"
    }
  ]
}

Headers

x-publisher-token
string
required

The publisher token used for authentication.

Query Parameters

publisherOfferIds
string
required

The unique identifier for the offer. To retrieve multiple store refresh popups, separate them with a comma.

Example:

"store-refresh-offer-1,store-refresh-offer-2"

Response

Store Refresh Popup retrieved successfully.

totalCount
number

Total number of matching offers.

offers
object[]